-- Settings for indentBlankline
-- turn off for diff views since we want to compare directly
if vim.wo.diff then vim.g["indent_blankline_enabled"] = false end

vim.g.indent_blankline_char = "▏"

vim.g.indent_blankline_filetype_exclude = {
    "help", "undotree", "markdown", "text", "pandoc", "rst", "asciidoc",
    "vim-plug"
}
vim.g.indent_blankline_buftype_exclude = {"terminal"}

vim.g.indent_blankline_use_treesitter = true
vim.g.indent_blankline_show_first_indent_level = false

vim.g.indent_blankline_show_current_context = true
vim.g.indent_blankline_context_highlight = "Function"
vim.g.indent_blankline_context_patterns = {"function", "class", "method"}
